#include <stdlib.h>
#include <time.h>
#include <unistd.h>
#include <afblib/hostport.h>
#include <afblib/outbuf.h>
#include <afblib/outbuf_printf.h>
#include "mastermind-service.h"

#define DEFAULT_PORT 33031

int main(int argc, char** argv) {
   char* cmdname = *argv++; --argc;
   outbuf err = {2};
   if (argc != 1) {
      outbuf_printf(&err, "Usage: %s hostport\n", cmdname);
      outbuf_flush(&err);
      exit(1);
   }
   char* hostport_string = *argv++; --argc;
   char* hangman_file = *argv++; --argc;

   hostport hp;
   if (!parse_hostport(hostport_string, &hp, DEFAULT_PORT)) {
      outbuf_printf(&err, "%s: bad hostport: %s\n",
	 cmdname, hostport_string);
      outbuf_flush(&err);
      exit(1);
   }

   run_mastermind_service(&hp);
}
